Bug 260594 - digikam crashed when starting video playback
Summary: digikam crashed when starting video playback
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Preview-Video (show other bugs)
Version: 1.4.0
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-18 00:25 UTC by auvielee
Modified: 2017-07-27 10:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description auvielee 2010-12-18 00:25:29 UTC
Application: digikam (1.4.0)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-23-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed: i double-clicked a video file to play it; digikam appeared to think for about a minute and then disappeared suddenly and instantly without warning

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
[Current thread is 1 (Thread 0x7ff87b00f7c0 (LWP 4465))]

Thread 19 (Thread 0x7ff8667f7700 (LWP 4466)):
#0  0x00007ff87285f203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff86f6ea009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007ff86f6ea7b5 in g_main_loop_run () from /lib/libglib-2.0.so.0
#3  0x00007ff866f2e0f4 in ?? () from /usr/lib/libgio-2.0.so.0
#4  0x00007ff86f70f7e4 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7ff85829d700 (LWP 4469)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff874023e3b in wait (this=<value optimized out>, mutex=0x27a75a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x27a75a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000006ee97b in Digikam::ScanController::run (this=0x27b15e0) at /build/buildd/digikam-1.4.0/digikam/scancontroller.cpp:515
#4  0x00007ff87402327e in QThreadPrivate::start (arg=0x27b15e0) at thread/qthread_unix.cpp:266
#5  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7ff857a9c700 (LWP 4472)):
#0  0x00007ff87285f203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff86f6ea009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007ff86f6ea45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007ff8741431e6 in QEventDispatcherGlib::processEvents (this=0x3559ca0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007ff874115a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007ff874115dec in QEventLoop::exec (this=0x7ff857a9bd90, flags=) at kernel/qeventloop.cpp:201
#6  0x00007ff8740202fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007ff87402327e in QThreadPrivate::start (arg=0x3559240) at thread/qthread_unix.cpp:266
#8  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7ff84a9db700 (LWP 4473)):
#0  0x00007ff87285f203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff86f6ea009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007ff86f6ea45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007ff8741431e6 in QEventDispatcherGlib::processEvents (this=0x35595f0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007ff874115a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007ff874115dec in QEventLoop::exec (this=0x7ff84a9dad90, flags=) at kernel/qeventloop.cpp:201
#6  0x00007ff8740202fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007ff87402327e in QThreadPrivate::start (arg=0x35596e0) at thread/qthread_unix.cpp:266
#8  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7ff84a159700 (LWP 4474)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff874023e3b in wait (this=<value optimized out>, mutex=0x3569668, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x3569668, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ff87803d5e4 in Digikam::ParkingThread::run (this=0x3569650) at /build/buildd/digikam-1.4.0/libs/threads/threadmanager.cpp:101
#4  0x00007ff87402327e in QThreadPrivate::start (arg=0x3569650) at thread/qthread_unix.cpp:266
#5  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7ff849958700 (LWP 4475)):
#0  0x00007ff86f70f0f6 in g_thread_self () from /lib/libglib-2.0.so.0
#1  0x00007ff86f6ea449 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#2  0x00007ff8741431e6 in QEventDispatcherGlib::processEvents (this=0x35900b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#3  0x00007ff874115a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#4  0x00007ff874115dec in QEventLoop::exec (this=0x7ff849957d90, flags=) at kernel/qeventloop.cpp:201
#5  0x00007ff8740202fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#6  0x00007ff87402327e in QThreadPrivate::start (arg=0x3596fe0) at thread/qthread_unix.cpp:266
#7  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#8  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7ff849157700 (LWP 4476)):
#0  0x00007ff873d9a665 in __pthread_mutex_lock (mutex=0x359b5b8) at pthread_mutex_lock.c:61
#1  0x00007ff86f6ea444 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#2  0x00007ff8741431e6 in QEventDispatcherGlib::processEvents (this=0x3592240, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#3  0x00007ff874115a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#4  0x00007ff874115dec in QEventLoop::exec (this=0x7ff849156d90, flags=) at kernel/qeventloop.cpp:201
#5  0x00007ff8740202fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#6  0x00007ff87402327e in QThreadPrivate::start (arg=0x3596500) at thread/qthread_unix.cpp:266
#7  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#8  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7ff83c6d2700 (LWP 4491)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007ff845a0c0d1 in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7ff83b499700 (LWP 4492)):
#0  0x00007ff8728642c3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007ff845a35385 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007ff845a19d09 in ?? () from /usr/lib/libxine.so.1
#3  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7ff83ac98700 (LWP 4493)):
#0  0x00007ff87285f203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=50) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff86f6ea009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007ff86f6ea45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007ff8741431e6 in QEventDispatcherGlib::processEvents (this=0x3649720, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007ff874115a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007ff874115dec in QEventLoop::exec (this=0x7ff83ac97d30, flags=) at kernel/qeventloop.cpp:201
#6  0x00007ff8740202fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007ff845c682b0 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007ff87402327e in QThreadPrivate::start (arg=0x2a0c410) at thread/qthread_unix.cpp:266
#9  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7ff83a292700 (LWP 4494)):
#0  __libc_disable_asynccancel () at ../nptl/sysdeps/unix/sysv/linux/x86_64/cancellation.S:94
#1  0x00007ff87285f21b in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=1) at ../sysdeps/unix/sysv/linux/poll.c:89
#2  0x00007ff87257040f in ?? () from /usr/lib/libpulse.so.0
#3  0x00007ff87255fd76 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0x00007ff8725617f9 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0x00007ff8725618b0 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0x00007ff87257020b in ?? () from /usr/lib/libpulse.so.0
#7  0x00007ff86a309fb8 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#8  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7ff835a90700 (LWP 4495)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff845a1ce83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7ff83528f700 (LWP 4496)):
#0  socketNotifierSourceCheck (source=0x3d44b10) at kernel/qeventdispatcher_glib.cpp:99
#1  0x00007ff86f6e966a in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0x00007ff86f6ea023 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007ff86f6ea45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007ff8741431e6 in QEventDispatcherGlib::processEvents (this=0x3d4d650, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007ff874115a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007ff874115dec in QEventLoop::exec (this=0x7ff83528ed50, flags=) at kernel/qeventloop.cpp:201
#7  0x00007ff8740202fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007ff8740f55f8 in QInotifyFileSystemWatcherEngine::run (this=0x3d40f90) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007ff87402327e in QThreadPrivate::start (arg=0x3d40f90) at thread/qthread_unix.cpp:266
#10 0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7ff83259e700 (LWP 4503)):
#0  0x00007ff87285f203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff86f6ea009 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007ff86f6ea45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007ff8741431e6 in QEventDispatcherGlib::processEvents (this=0x41ccde0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007ff874115a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007ff874115dec in QEventLoop::exec (this=0x7ff83259dd50, flags=) at kernel/qeventloop.cpp:201
#6  0x00007ff8740202fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007ff8740f55f8 in QInotifyFileSystemWatcherEngine::run (this=0x41cc590) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007ff87402327e in QThreadPrivate::start (arg=0x41cc590) at thread/qthread_unix.cpp:266
#9  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7ff83159c700 (LWP 5585)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007ff8728041dc in _L_lock_12347 () from /lib/libc.so.6
#2  0x00007ff872802c78 in __libc_free (mem=0x7ff828000020) at malloc.c:3736
#3  0x00007ff86f6e5c3b in ?? () from /lib/libglib-2.0.so.0
#4  0x00007ff874143d56 in QEventDispatcherGlib::~QEventDispatcherGlib (this=0x729d6b0, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:372
#5  0x00007ff874022ac4 in QThreadPrivate::finish (arg=<value optimized out>) at thread/qthread_unix.cpp:302
#6  0x00007ff874023286 in ~__pthread_cleanup_class (arg=0x72d2cc0) at /usr/include/pthread.h:545
#7  QThreadPrivate::start (arg=0x72d2cc0) at thread/qthread_unix.cpp:271
#8  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7ff82e596700 (LWP 6079)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff845a0f98b in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff845a15a2d in ?? () from /usr/lib/libxine.so.1
#3  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7ff82f598700 (LWP 6080)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff845a0f98b in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff845a16a85 in ?? () from /usr/lib/libxine.so.1
#3  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ff8235ff700 (LWP 6081)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff845a2000b in ?? () from /usr/lib/libxine.so.1
#2  0x00007ff873d98971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007ff87286b92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff87b00f7c0 (LWP 4465)):
[KCrash Handler]
#6  0x00007ff8727b8ba5 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007ff8727bc6b0 in abort () at abort.c:92
#8  0x00007ff8727f243b in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#9  0x00007ff8727fc4b6 in malloc_printerr (action=3, str=0x7ff8728d0008 "free(): invalid next size (normal)", ptr=<value optimized out>) at malloc.c:6283
#10 0x00007ff872802c83 in __libc_free (mem=<value optimized out>) at malloc.c:3738
#11 0x00007ff874e23352 in qSafeXDestroyImage (x=0x7ff82865eb60) at image/qpixmap_x11.cpp:110
#12 0x00007ff874e26afb in QX11PixmapData::fromImage (this=0x7ff828675a60, img=<value optimized out>, flags=<value optimized out>) at image/qpixmap_x11.cpp:615
#13 0x00007ff874e0fec6 in QPixmap::fromImage (image=..., flags=) at image/qpixmap.cpp:2031
#14 0x00007ff8750c4778 in QGtkPainter::renderTheme (this=0x7ffffebf0b40, bdata=<value optimized out>, wdata=<value optimized out>, rect=<value optimized out>) at styles/qgtkpainter.cpp:102
#15 0x00007ff8750ca6b0 in QGtkPainter::paintBox (this=0x7ffffebf0b40, gtkWidget=<value optimized out>, part=<value optimized out>, paintRect=..., state=GTK_STATE_NORMAL, shadow=<value optimized out>, style=0x28b9e10, pmKey=...) at styles/qgtkpainter.cpp:315
#16 0x00007ff8750bf18b in QGtkStyle::drawComplexControl (this=0x27c0460, control=<value optimized out>, option=0x7ffffebf13b0, painter=0x7ffffebf1430, widget=0x3c706d8) at styles/qgtkstyle.cpp:2037
#17 0x00007ff8751a2cad in QSlider::paintEvent (this=0x3c706d8) at widgets/qslider.cpp:410
#18 0x00007ff874d7dc2e in QWidget::event (this=0x3c706d8, event=0x7ffffebf1c40) at kernel/qwidget.cpp:8333
#19 0x00007ff874d27fdc in QApplicationPrivate::notify_helper (this=0x2733730, receiver=0x3c706d8, e=0x7ffffebf1c40) at kernel/qapplication.cpp:4396
#20 0x00007ff874d2daed in QApplication::notify (this=0x7ffffebf50b0, receiver=0x3c706d8, e=0x7ffffebf1c40) at kernel/qapplication.cpp:4277
#21 0x00007ff875a7a156 in KApplication::notify (this=0x7ffffebf50b0, receiver=0x3c706d8, event=0x7ffffebf1c40) at ../../kdeui/kernel/kapplication.cpp:310
#22 0x00007ff874116cdc in QCoreApplication::notifyInternal (this=0x7ffffebf50b0, receiver=0x3c706d8, event=0x7ffffebf1c40) at kernel/qcoreapplication.cpp:732
#23 0x00007ff874d8467d in sendSpontaneousEvent (this=0x3c70c50, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x29cfca0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#24 QWidgetPrivate::drawWidget (this=0x3c70c50, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5420
#25 0x00007ff874d85328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=1, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5627
#26 0x00007ff874d843da in QWidgetPrivate::drawWidget (this=0x3c70920, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5473
#27 0x00007ff874d85328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=2, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5627
#28 0x00007ff874d843da in QWidgetPrivate::drawWidget (this=0x362eb60, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5473
#29 0x00007ff874d85328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=5, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5627
#30 0x00007ff874d843da in QWidgetPrivate::drawWidget (this=0x3628e60, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5473
#31 0x00007ff874d85328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=8, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5627
#32 0x00007ff874d843da in QWidgetPrivate::drawWidget (this=0x3551b60, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5473
#33 0x00007ff874d85328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=2, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5627
#34 0x00007ff874d843da in QWidgetPrivate::drawWidget (this=0x35509e0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5473
#35 0x00007ff874d85328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=1, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5627
#36 0x00007ff874d843da in QWidgetPrivate::drawWidget (this=0x354f360, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5473
#37 0x00007ff874d85328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=5, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5627
#38 0x00007ff874d843da in QWidgetPrivate::drawWidget (this=0x2aaf6a0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5473
#39 0x00007ff874d85328 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=11, rgn=<value optimized out>, offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5627
#40 0x00007ff874d843da in QWidgetPrivate::drawWidget (this=0x27aeab0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x29cfca0) at kernel/qwidget.cpp:5473
#41 0x00007ff874f58408 in QWidgetBackingStore::sync (this=0x29cfca0) at painting/qbackingstore.cpp:1328
#42 0x00007ff874d77730 in QWidgetPrivate::syncBackingStore (this=0x27aeab0) at kernel/qwidget.cpp:1805
#43 0x00007ff874d7e2f5 in QWidget::event (this=0x29ff0b0, event=0x7ff828431330) at kernel/qwidget.cpp:8480
#44 0x00007ff87516541b in QMainWindow::event (this=0x29ff0b0, event=0x7ff828431330) at widgets/qmainwindow.cpp:1417
#45 0x00007ff875b96683 in KXmlGuiWindow::event (this=0x1171, ev=0x1171) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:130
#46 0x00007ff874d27fdc in QApplicationPrivate::notify_helper (this=0x2733730, receiver=0x29ff0b0, e=0x7ff828431330) at kernel/qapplication.cpp:4396
#47 0x00007ff874d2daed in QApplication::notify (this=0x7ffffebf50b0, receiver=0x29ff0b0, e=0x7ff828431330) at kernel/qapplication.cpp:4277
#48 0x00007ff875a7a156 in KApplication::notify (this=0x7ffffebf50b0, receiver=0x29ff0b0, event=0x7ff828431330) at ../../kdeui/kernel/kapplication.cpp:310
#49 0x00007ff874116cdc in QCoreApplication::notifyInternal (this=0x7ffffebf50b0, receiver=0x29ff0b0, event=0x7ff828431330) at kernel/qcoreapplication.cpp:732
#50 0x00007ff874119c22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x26f4b90) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#51 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x26f4b90) at kernel/qcoreapplication.cpp:1373
#52 0x00007ff874143653 in sendPostedEvents (s=0x27372a0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#53 postEventSourceDispatch (s=0x27372a0) at kernel/qeventdispatcher_glib.cpp:277
#54 0x00007ff86f6e6342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#55 0x00007ff86f6ea2a8 in ?? () from /lib/libglib-2.0.so.0
#56 0x00007ff86f6ea45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#57 0x00007ff874143193 in QEventDispatcherGlib::processEvents (this=0x26f4280, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#58 0x00007ff874ddaa4e in QGuiEventDispatcherGlib::processEvents (this=0x1171, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#59 0x00007ff874115a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#60 0x00007ff874115dec in QEventLoop::exec (this=0x7ffffebf4f20, flags=) at kernel/qeventloop.cpp:201
#61 0x00007ff874119ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#62 0x000000000077cc1d in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/digikam-1.4.0/digikam/main.cpp:195

Possible duplicates by query: bug 258045, bug 255512, bug 255312, bug 254668, bug 253841.

Reported using DrKonqi
Comment 1 caulier.gilles 2010-12-18 07:21:01 UTC
I recommend to update to 1.6.0 and to try again..

Gilles Caulier

*** This bug has been marked as a duplicate of bug 258045 ***
Comment 2 caulier.gilles 2016-12-17 10:09:24 UTC
digiKam 5.4.0 bundles will use QtAV framework instead Qt5Multimedia to thumb and play video. The Slideshow tool will also support video as well.

QtAV use ffmpeg codecs. It's multi-platform and will always available in 
OSX, Windows and Linux bundles that digiKam team provide.

For Linux packagers, you will need to turn on video support at compilation time and solve QtAV dependencies...

The screenshot on here :

https://www.flickr.com/photos/digikam/30886133553/in/dateposted-public/

... is based on pre-release of AppImage 64 bits Linux bundle, just recompiled and post to GDrive for testing. The 32bits version is under process and will be available at the same place today evening.

https://drive.google.com/drive/folders/0BzeiVr-byqt5Y0tIRWVWelRJenM